hsp-0.10.0: Haskell Server Pages is a library for writing dynamic server-side web pages.

Copyright | (c) Niklas Broberg 2008-2012
License | BSD-style (see the file LICENSE.txt)
Maintainer | Niklas Broberg, nibro@cs.chalmers.se
Stability | experimental
Portability | Haskell 98
Safe Haskell | Safe
Language | Haskell98

HSP.XML.PCDATA

Description

Escaping between CDATA = PCDATA

Synopsis

- escape :: Text -> Builder
- escaper :: [(Char, Builder)] -> Text -> Builder
- xmlEscapeChars :: [(Char, Builder)]

# Documentation

escape :: Text -> Builder Source #

Take a normal string and transform it to PCDATA by escaping special characters. calls `escaper` with `xmlEscapeChars` See also: `escaper`

escaper Source #

Arguments

:: [(Char, Builder)] | table of escape characters
-> Text | String to escape
-> Builder | Escaped String

Take a normal string and transform it to PCDATA by escaping special characters. See also: `escape`, `xmlEscapeChars`

xmlEscapeChars :: [(Char, Builder)] Source #